/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/std/types.hpp>

#include <nostalgia/core/context.hpp>

namespace nostalgia::core::renderer {

ox::Error init(Context *ctx) noexcept;

ox::Error shutdown(Context *ctx) noexcept;

ox::Error loadBgTexture(Context *ctx, int section, void *bytes, int w, int h) noexcept;

}
